# readorganization

### description

Reads a Buzzy Organization by its ID

### parameters

The `X-Auth-Token` and `X-User-Id` are derived from the values `authToken` and `userId` returned from the login endpoint and are used in the HTTP header.

```
{
        "organizationID": "<organization ID to read>"
}
```

### response

Returns the organization data including name, description, and other properties.

### example

<pre><code><strong>POST /api/readorganization 
</strong>X-Auth-Token:&#x3C;insert token here>
X-User-Id:&#x3C;insert user id here>

{
        "organizationID": "&#x3C;organization ID to read>"
}
</code></pre>

You should get back:

```
{
    "status": "success",
    "body": {
        "_id": "<organization ID>",
        "name": "<organization name>",
        "description": "<organization description>",
        "createdAt": "<creation timestamp>",
        "updatedAt": "<last update timestamp>"
    }
}
```

***
